Retrieve Your Receiving Accounts List

🚧

Deprecated

This endpoint is deprecated. Use the Contacts API instead.

You can retrieve a specific receiving account, a set of receiving accounts that complies with a given criterion, or all of your receiving accounts stored in Bitso's system.

To retrieve a set of receiving accounts, make the following HTTP request using the appropriate query parameters.

GET https://api-stage.bitso.com/v3/consumer-contacts

Query Parameters

  • alias: Name that helps users identify the account.
  • asset: The asset in a network.
  • contact_id: Bitso-generated, unique identifier of the receiving account.
  • currency: Currency used with the account.
  • integration: A specific integration that enables Bitso to connect to a given network.
  • network: Network through which the withdrawal is processed.
  • protocol: A specific mechanism, protocol, or standard used in a network.

Example

The following request exemplifies a search for all MXN receiving accounts stored in the user's Bitso account:

GET https://api-stage.bitso.com/v3/consumer-contacts?currency=mxn

The search retrieves the following result (showing only some of the accounts found):

{
    "success": true,
    "payload": [
        {
            "contact_id": 859,
            "user_id": 0,
            "alias": "Test CLABE",
            "taxonomy": {
                "network": "spei",
                "asset": "mxn",
                "protocol": "clabe",
                "integration": "praxis"
            },
            "currency": "mxn",
            "details": [
                {
                    "name": "Beneficiary",
                    "key": "beneficiary",
                    "value": "Juan Pérez"
                },
                {
                    "name": "CLABE",
                    "key": "clabe",
                    "value": "002580074312305563"
                },
                {
                    "name": "Bank",
                    "key": "institution_code",
                    "value": "BANAMEX"
                }
            ],
            "created": "2022-08-29T15:13:44Z"
        },
        {
            "contact_id": 839,
            "user_id": 0,
            "alias": "Test Debit Card",
            "taxonomy": {
                "network": "spei",
                "asset": "mxn",
                "protocol": "debitcard",
                "integration": "praxis"
            },
            "currency": "mxn",
            "details": [
                {
                    "name": "Beneficiary",
                    "key": "beneficiary",
                    "value": "Juan Pérez"
                },
                {
                    "name": "Debit card",
                    "key": "clabe",
                    "value": "5482347403740547"
                },
                {
                    "name": "Bank",
                    "key": "institution_code",
                    "value": "BANAMEX"
                }
            ],
            "created": "2022-08-25T23:55:26Z"
        }
    ]
}

The response returned includes the variable user_id, which represents the account holder's Bitso-provided identifier. It returns with the value set to zero for security reasons.


Did this page help you?